# mandayejs - saml reverse proxy
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.db import models
from django.utils.translation import ugettext_lazy as _


class Site(models.Model):
    title = models.CharField(_('Title'), max_length=50)
    slug = models.SlugField(_('Slug'))

    domain = models.CharField(_('Domain'), max_length=200)
    username_locator = models.CharField(_('Username Locator'), max_length=200)
    password_locator = models.CharField(_('Password Locator'), max_length=200)
    login_path = models.CharField(_('Login Path'), max_length=200)

    def __unicode__(self):
        return self.title


class UserCredentials(models.Model):
    user = models.ForeignKey('auth.User')
    site = models.ForeignKey(Site)

    username = models.CharField(_('Username'), max_length=50)
    password = models.CharField(_('Password'), max_length=50)
